@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900"); 

:root {
    --white: #fff;
    --black: #000;
    --gray: #F2F6FF;
    --blue: #061754;
    --green: #16D6B5;
    --texto: #575757;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

body {
    font-family: 'Poppins', sans-serif;
}

/* estilos barra informacion */

.barra_informacion {
    display: flex;
    justify-content: space-around;
    gap: 1rem;
    margin: 0 auto;
    height: 50px;
    width: 90%;
}

.barra_informacion section {
    color: var(--white);
    padding: 1rem;
}

.barra_informacion section i {
  color: var(--green);
}


.barra_informacion span {
    font-size: 0.7rem;
}

/* estilos navbar */

.navbar {
  background-color: var(--gray);
  display: flex;
  gap: 3rem;
  justify-content: space-around;
  position: relative;
}

.logo,
.main_nav {
  margin: 0.5rem;
}

input,
label {
  display: none;
}

.main_nav {
  display: flex;
  gap: 2rem;
  justify-content: space-around;
  position: relative;
  top: 25px;
}

.main_nav li {
  line-height: 2rem;
  padding: 0.5rem;
  /* outline:1px solid red; */
}

.main_nav li a {
  color: var(--blue);
  display: block;
  font-weight: 600;
  border-bottom: 0;
  transition: all 10s;
}

.main_nav li a::after {
  content: "";
  display: block;
  width: 0;
  height: 3px;
  background-color: var(--green);
  transition: all .9s ease;
}

.main_nav li a:hover:after {
  width: 100%;  
}


/* estilos boton pago */
.main_nav li:last-child {
    background-color: var(--blue);
    border-radius:0.5rem ;
}

.main_nav li:last-child a {
    color: var(--green);
}

.icon_menu .line {
  background-color: var(--blue);
  width: 30px;
  height: 5px;
  margin: 6px;
  transition: all .3s ease;
}

/* estilos footer */
footer {
  background-color: var(--blue);
  margin-top: 1em;
  padding: 10px;  
  /* position: relative; */
}



footer section {
  margin: 0 auto;
  /* outline: 1px solid #063690; */
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100%, 12rem), 1fr));
  padding: 2rem;
  gap: 1rem;
  justify-items:start;
  align-items: start;
}

.sogges p {
  font-size: 1rem;
  padding: 20px 0;
  line-height: 1.5rem;
  width: 85%;
  color: var(--white);
}

.empresa span,
.informacion span,
.ubicacion span {
  color: var(--green);
  font-weight: 500;
  padding-bottom: 10px;
}

.empresa ul,
.informacion ul,
.ubicacion ul {
  
  list-style: none;
  padding-top: 10px;
}

.empresa ul li,
.informacion ul li,
.ubicacion ul li {
  padding: 10px 0;
  
}

.empresa ul a,
.informacion ul a,
.ubicacion ul a {
  color: var(--white);
}

.empresa ul p,
.informacion ul p,
.ubicacion ul p {
  color: var(--white);
}

.empresa ul a:hover,
.informacion ul a:hover,
.ubicacion ul a:hover {
  color: var(--green);
  font-weight: 500;
}


/* estilos icon whatsapp */

.content_whatsapp_icon {
  width: 100%;
  /* outline: 1px solid red; */
  margin: 0 auto;
}

.content_whatsapp_icon {
  position: fixed;
  bottom: 6rem;
  display: flex;
  flex-direction: row-reverse;
  
}

.content_whatsapp_icon div {
  display: block;
  /* outline: 2px solid blue; */
  text-align: center;
  width: 5%;
  /* margin-right: 20px; */
}

.content_whatsapp_icon i{
  background-color: #3DCA2D;
  border-radius: 2rem;
  color: var(--white);
  padding: 0.7rem;
  font-size: 2rem;
}




  











/* estilos para mobile */

@media screen and (max-width: 768px) {
/* estilos barra de informacion */

    .barra_informacion {
        justify-content: center;
    }
    
    .barra_informacion section {
        display: none;
    }

    .barra_informacion section:nth-child(2) {
        cursor: pointer;
        display: block;
    }

   
    /* estilos menu de navegacion */
    label {
      display: block;
      position: relative;
      top: 50%;
      transform: translateY(-50%);
  }

  #menu_hamburguesa:checked ~ .icon_menu .line:nth-child(1) {
      transform: rotate(45deg) translate(15px, 3px);
  }

  #menu_hamburguesa:checked ~ .icon_menu .line:nth-child(2) {
      transform: scale(0);
  }

  #menu_hamburguesa:checked ~ .icon_menu .line:nth-child(3) {
      transform: rotate(-45deg) translate(13px, 0px);
  }

  #menu_hamburguesa:checked ~ .main_nav {
      left: -8px;
  }


  .main_nav {
      background-color: var(--blue);
      flex-direction: column;
      gap: 0.5rem;
      height: 85vh;
      position: absolute;
      justify-content: flex-start;
      top: 94px;
      left: -50%;
      width: 40%;
      transition: all 0.5s ease;
  }

  .main_nav li {
      border-bottom: 1px solid rgba(255 255 255 / 20%);
  }

  .main_nav li a {
      color: var(--white);   
  }
  
    /* estilos boton pago */
.main_nav li:last-child {
    background-color: var(--green);
  
}

.main_nav li:last-child a {
    color: var(--blue);
}
    /* estilos footer */
    .sogges p {
        width: 100%;
      }

      .content_whatsapp_icon div {
        width: 12%;
        margin-right: 1rem;

}
